#!/bin/bash
################################################# 
# BIOS Version
# (Version item in biosMgmt)
# TODO:
#   
#################################################

. $MX_SCRIPT_PATH/mx_global.sh
. $MX_SCRIPT_PATH/snmp/global.sh

TABLE=$mx_bios_mgmt_table
BIOS_TOOL="$MX_SCRIPT_PATH/snmp/bSNMP.elf"

#################################################
# STARTING POINT:
#################################################

#drop
gb_sql_query "DELETE FROM $TABLE"


#################################################
# biosVersion
#################################################
# 1. Get Version from bSNMP.elf
biosVersion=`$BIOS_TOOL -v | sed -n "s:Version\: \(.*\)\r:\1:p"`

# 2. Insert Version information into Database
query="INSERT INTO $TABLE VALUES (null, 0, \"biosVersion\", \"$biosVersion\", \"$biosVersion\")"
gb_sql_query "$query"

#################################################
# Boot Sequence
#################################################
# 1. Get Boot Device Status
bootDeviceStatus=`$BIOS_TOOL -b | sed -n "s:\(.*\), \r:\1:p"`

# 2. Insert Boot Device Status into Database
#R00 query="INSERT INTO $TABLE VALUES (null, 0, \"bootDeviceStatus\", \"$bootDeviceStatus\", \"$bootDeviceStatus\")"
#R00-start
query="INSERT INTO $TABLE VALUES (null, 0, \"bootDeviceStatus\", \"-1\", \"-1\")"
#R00-end
gb_sql_query "$query"

# 3. Display First Boot Device
#R00 query="INSERT INTO $TABLE VALUES (null, 0, \"firstBootDevice\", \"1\", \"1\")"
#R00-start
query="INSERT INTO $TABLE VALUES (null, 0, \"firstBootDevice\", \"-1\", \"-1\")"
#R00-end
gb_sql_query "$query"

#################################################
# PWRON after PWR-Fail
#################################################
# 1. Get PWRON after PWR-Fail
pwrOnAfterPwrFail=`$BIOS_TOOL -i 4.8.1 | sed -n "s:\(.*\)\r:\1:p"`

# 2. Insert Info into Database
#R00 query="INSERT INTO $TABLE VALUES (null, 0, \"pwrOnAfterPwrFail\", \"$pwrOnAfterPwrFail\", \"$pwrOnAfterPwrFail\")"
#R00-start
query="INSERT INTO $TABLE VALUES (null, 0, \"pwrOnAfterPwrFail\", \"-1\", \"-1\")"
#R00-end
gb_sql_query "$query"

#################################################
# LAN Wake Up
#################################################
# 1. Get LAN Wake Up
pwrLanWakeUp=`$BIOS_TOOL -i 4.8.3 | sed -n "s:\(.*\)\r:\1:p"`

# 2. Insert Info into Database
#R00 query="INSERT INTO $TABLE VALUES (null, 0, \"pwrLanWakeUp\", \"$pwrLanWakeUp\", \"$pwrLanWakeUp\")"
#R00-start
query="INSERT INTO $TABLE VALUES (null, 0, \"pwrLanWakeUp\", \"-1\", \"-1\")"
#R00-end
gb_sql_query "$query"

#################################################
# BIOS Save Config
#################################################
# 1. Insert Save Config Default Value
query="INSERT INTO $TABLE VALUES (null, 0, \"biosSaveSetting\", \"0\", \"0\")"
gb_sql_query "$query"

